########################################
# Gestion globale
########################################

# Chemins ##############################
#  global {pathTmp}
#  global {pathSource}
#  global {pathCheckClause}
#  global {pathCheckPrecedence}
#  global {pathCheckStrat}
#  global {pathDatac}
#  global {pathHelp}

# Patterns de selection ################
global {selectPatternData}
set {selectPatternData} {*.dat}
global {selectPatternExec}
set {selectPatternExec} {*.exe}
global {selectPatternStats}
set {selectPatternStats} {*.res}
global {selectPatternHelp}
set {selectPatternHelp} {*.hlp}
global {extensionDirHelp}
set {extensionDirHelp} {.des}

# Divers ###############################
global {mouseBuffer}
set {mouseBuffer} {}
global {separateurs}
set {separateurs} {" " "," ";" ":"}


########################################
# Gestion des fenetres numerotees
########################################

# Compteurs ############################
# Nombre de fenetres d'execution ##
global {countExec}
set {countExec} {0}

# Gestion des sauvegardes d'execution ##
global {numSaveExe}
set {numSaveExe} {0}

# Variables array pour Exec Automatic ##
global {fileExec}
set {fileExec(0)} {nil}
global {pauseExec}
set {pauseExec(0)} {0}
global {pidExec}
set {pidExec(0)} {0}
global {fidExec}
set {fidExec(0)} {0}

# Variables array pour Exec Manual #####
global {buffidExec}
set {buffidExec(0)} {0}
global {entreeChoice}
set {entreeChoice(0,0)} {}
global {varTypeManDed}
set {varTypeManDed(0)} {}


########################################
# Gestion des fenetres
########################################

# Variables entry file & path ##########
global {entreeEditFile}
set {entreeEditFile} {}
global {entreeEditPath}
set {entreeEditPath} {}
##########
global {entreeExeFile}
set {entreeExeFile} {}
global {entreeExePath}
set {entreeExePath} {}
##########
global {entreeLoadFile}
set {entreeLoadFile} {}
global {entreeLoadPath}
set {entreeLoadPath} {}
##########
global {entreeSaveFile}
set {entreeSaveFile} {}
global {entreeSavePath}
set {entreeSavePath} {}

# Variables entry ######################
global {entreeClause}
set {entreeClause} {}
##########
global {entreeMaximum}
set {entreeMaximum} {}
global {entreeMaxOrNone}
set {entreeMaxOrNone} {}
global {entreeCheckUp}
set {entreeCheckUp} {}
##########
global {entreeMinOp}
set {entreeMinOp} {}
global {entreeOperators}
set {entreeOperators} {}
global {entreePrecedence}
set {entreePrecedence} {}
##########
global {entreeTitle}
set {entreeTitle} {}
global {entreeTopic}
set {entreeTopic} {}
global {entreeChemTopic}
set {entreeChemTopic} {/}
##########
global entreeCombDedRules
set entreeCombDedRules {}

# Variables path & file ################
global {varFilename}
set {varFilename} {}
global {varPathname}
set {varPathname} {}
##########
global {varLoadPath}
set {varLoadPath} {}
global {varEditPath}
set {varEditPath} {}
global {varExePath}
set {varExePath} {}
global {varSavePath}
set {varSavePath} {}
global {varHelpPath}
set {varHelpPath} {}

########################################
# Gestion des donnees
########################################

# Valeurs par defaut ###################
global {defaultCombDedRules}
set {defaultCombDedRules} {rp,lp,crp,clp,ep,ref,ef,res,f}
global {defaultDictionnaire}
set {defaultDictionnaire} {{= C Multiset {} {}}}
##########  
global {defaultMaxNumberClauses}
set {defaultMaxNumberClauses} {1000}
global {defaultMaxNumberMgu}
set {defaultMaxNumberMgu} {}
global {defaultMaxDepthSimpl}
set {defaultMaxDepthSimpl} {}
global {defaultMaxDepthPara}
set {defaultMaxDepthPara} {}
global {defaultSizeClausesLimited}
set {defaultSizeClausesLimited} {}
global {defaultCheckUp}
set {defaultCheckUp} {0}

# Variables data #######################
global {dictionnaire}
set {dictionnaire} $defaultDictionnaire
global {varMinOp}
set {varMinOp} {}
##########  
global {varMaxNumberClauses}
set {varMaxNumberClauses} $defaultMaxNumberClauses
global {varMaxNumberMgu}
set {varMaxNumberMgu} $defaultMaxNumberMgu
global {varMaxDepthSimpl}
set {varMaxDepthSimpl} $defaultMaxDepthSimpl
global {varMaxDepthPara}
set {varMaxDepthPara} $defaultMaxDepthPara
global {varSizeClausesLimited}
set {varSizeClausesLimited} $defaultSizeClausesLimited
global {varNbVarLimited}
set {varNbVarLimited} {}
##########  
global {varPreference}
set {varPreference} {0}
global {varResearchStrategy}
set {varResearchStrategy} {2}
global {varSubsumption}
set {varSubsumption} {1}
global {varTraceDegree}
set {varTraceDegree} {1}
global {varSetClauses}
set {varSetClauses} {Theory}

# Variables listes #####################
global {listClausesConjecture}
set {listClausesConjecture} {}
global {listClausesTheory}
set {listClausesTheory} {}
global {listClausesTheoryOK}
set {listClausesTheoryOK} {}
##########  
global {combDedRules}
set {combDedRules} $defaultCombDedRules
##########  
global {listOpModifiedNature}
set {listOpModifiedNature} {=}
global {listOpModifiedStatus}
set {listOpModifiedStatus} {=}

# Variables du menu Parameters #############
global {varPrefClauses}
set {varPrefClauses} {0}

# Flags du menu Parameters #############
global {flagDeductionStrategy}
set {flagDeductionStrategy} {1}
global {flagPrefNegClauses}
set {flagPrefNegClauses} {0}
global {flagPrefPosClauses}
set {flagPrefPosClauses} {0}
global {flagNonEquationalClausesFirst}
set {flagNonEquationalClausesFirst} {0}
global {flagUncompleteACUnification}
set {flagUncompleteACUnification} {1}
global {flagOtherSimplifications}
set {flagOtherSimplifications} {1}
global {flagUseBackSubs}
set {flagUseBackSubs} {1}
global {flagSimplifBeforeSubsumption}
set {flagSimplifBeforeSubsumption} {0}
global {flagSimplification}
set {flagSimplification} {1}
global {flagOtterLikeSimpl}
set {flagOtterLikeSimpl} {0}

# Variables du menu Execution ##############
global {varOrdStrategy}
set {varOrdStrategy} {0}
global {varCntStrategy}
set {varCntStrategy} {0}
global {varCheckUp}
set {varCheckUp} $defaultCheckUp
global {flagInterStats}
set {flagInterStats} {0}
