##############################################################################
# Construction de la fenetre .topmessage
##############################################################################

# procedure to show window ShowWindow.topmessage
proc ShowWindow.topmessage { args} {
    # xf ignore me 7
    
    # build widget .topmessage
    if {"[info procs XFEdit]" != ""} {
	catch "XFDestroy .topmessage"
    } {
	catch "destroy .topmessage"
    }
    toplevel .topmessage -relief {raised}
    
    # Window manager configurations
    wm positionfrom .topmessage program
    wm sizefrom .topmessage program
    wm minsize .topmessage 10 10
    wm title .topmessage {daTac: Warning}

    global font1
    
    # build widget .topmessage.bOk
    button .topmessage.bOk \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {DestroyWindow .topmessage} \
	-cursor {hand1} \
	-text {Ok} \
	-width {50}
    
    # build widget .topmessage.msg
    message .topmessage.msg \
	-font $font1 \
	-aspect {1500} \
	-justify {center} \
	-padx {5} \
	-pady {2} \
	-relief {raised} \
	-text {}
    
    # pack widget .topmessage
    pack append .topmessage \
	.topmessage.msg {top frame center expand fill} \
	.topmessage.bOk {top frame center fillx} 
    
    if {"[info procs XFEdit]" != ""} {
	catch "XFMiscBindWidgetTree .topmessage"
	after 2 "catch {XFEditSetShowWindows}"
    }
}
