##############################################################################
# Construction de la fenetre .topmaximum
##############################################################################

# procedure to show window ShowWindow.topmaximum
proc ShowWindow.topmaximum { var i msg} {
    # xf ignore me 7
    
    # build widget .topmaximum
    if {"[info procs XFEdit]" != ""} {
	catch "XFDestroy .topmaximum"
    } {
	catch "destroy .topmaximum"
    }
    toplevel .topmaximum -relief {raised}
    
    # Window manager configurations
    wm positionfrom .topmaximum program
    wm sizefrom .topmaximum program
    wm geometry .topmaximum 250x44
    wm minsize .topmaximum 10 10
    wm title .topmaximum "daTac: $msg"

    global font1
    global varmaximum imaximum msgmaximum
    set varmaximum $var
    set imaximum $i
    set msgmaximum $msg
    
    # bindings
    bind .topmaximum <Enter> {focus .topmaximum.f.e}
    
    # build widget .topmaximum.bCancel
    button .topmaximum.bCancel \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {
	    unset varmaximum imaximum msgmaximum
	    DestroyWindow .topmaximum
	} \
	-cursor {circle} \
	-text {Cancel}
    
    # build widget .topmaximum.bOk
    button .topmaximum.bOk \
	-font $font1 \
	-bg {grey95} \
	-activebackground {grey95} \
	-activeforeground {grey5} \
	-command {
	    set entreeMaximum [string trim $entreeMaximum]
	    if {[regexp {^[0-9]+$} $entreeMaximum] == 1 && $entreeMaximum > 0} {
		set $varmaximum $entreeMaximum
		.menubar.mbparameters.m entryconfigure $imaximum \
		    -label "$msgmaximum: [eval subst {$[subst {$varmaximum}]}]"
		unset varmaximum imaximum msgmaximum
		DestroyWindow .topmaximum
	    } else {
		ShowWindow.topmessage
		.topmessage.msg configure -text "\n\n$msgmaximum:\n\nPositive integer expected\n\nand got: \"$entreeMaximum\".\n\n"
	    }
	} \
	-cursor {hand1} \
	-text {Ok}
    
    # build widget .topmaximum.f
    frame .topmaximum.f \
	-relief {raised}
    
    # build widget .topmaximum.f.e
    entry .topmaximum.f.e \
	-font $font1 \
	-relief {sunken} \
	-textvariable {entreeMaximum}
    
    # bindings
    bind .topmaximum.f.e <Key-Return> {
	.topmaximum.bOk flash
	.topmaximum.bOk invoke
    }
    
    # build widget .topmaximum.f.lbl
    label .topmaximum.f.lbl \
	-font $font1 \
	-bg {grey80} \
	-padx {2} \
	-relief {flat} \
	-text {Value:}
    
    # pack widget .topmaximum.f
    pack append .topmaximum.f \
	.topmaximum.f.lbl {left frame center filly} \
	.topmaximum.f.e {top frame center expand fill} 
    
    # pack widget .topmaximum
    pack append .topmaximum \
	.topmaximum.f {top frame n fillx} \
	.topmaximum.bCancel {left frame center expand fill} \
	.topmaximum.bOk {right frame center expand fill} 
    
    if {"[info procs XFEdit]" != ""} {
	catch "XFMiscBindWidgetTree .topmaximum"
	after 2 "catch {XFEditSetShowWindows}"
    }
}
